#
# spec file for package regionServiceClientConfigEC2
# this code base is under development
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           regionServiceClientConfigEC2
Version:        3.0.0
Release:        3.14.1
License:        Apache-2.0
Summary:        Configuration for region service client
URL:            http://www.github.com:SUSE/pubcloud
Group:          Productivity/Networking/Web/Servers
Source0:        %{name}-%{version}.tar.bz2
Provides:       cloud-regionsrv-client-config
Provides:       regionServiceCertsEC2
Provides:       regionsrv-certs
Requires:       python3-ec2metadata >= 1.5.0
Recommends:     cloud-regionsrv-client-plugin-ec2
Conflicts:      otherproviders(cloud-regionsrv-client-config)
Conflicts:      otherproviders(regionsrv-certs)
Provides:       regionServiceClientConfigSAPEC2
Obsoletes:      regionServiceClientConfigSAPEC2 < 2.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
Configuration for the client registration in Amazon EC2 and
region server certificates

%prep
%setup -q

%build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%config %{_sysconfdir}/regionserverclnt.cfg
%dir /var/lib/regionService
%dir /var/lib/regionService/certs
/var/lib/regionService/certs/34.197.223.242.pem
/var/lib/regionService/certs/52.79.82.165.pem
/var/lib/regionService/certs/54.223.148.145.pem
/var/lib/regionService/certs/54.245.101.47.pem
/var/lib/regionService/certs/54.247.166.75.pem
/var/lib/regionService/certs/54.253.118.149.pem


%changelog
* Tue Sep  1 2020 rjschwei@suse.com
- Update to version 3.0.0 (bsc#1176005, bsc#1176007)
  + Reduce the number of region servers
  + Require python3-ec2metadata to support IMDSv2 only setups
* Thu Aug  6 2020 rjschwei@suse.com
- Update to version 2.2.1 (bsc#1174791, bsc#1174937)
  + New configuration to switch to https only outgoing traffic
* Wed May  6 2020 rjschwei@suse.com
- Update to version 2.2.0 (bsc#1171232, bsc#1171233)
  + Send a region hint using the plugin
  + Consolidate SLES and SLES For SAP certs
* Mon May 14 2018 jmason@suse.com
- Update to version 2.1.0 (bsc#1093189, bsc#1121114)
  + Drop lost server IP address; realign IPs with certs
  + Add 34.197.223.242 to configuration
* Wed Feb 21 2018 rjschwei@suse.com
- Update to version 2.0.1
  + Use region hint to get SMT data in pre for IPv6 support (bsc#1029162)
* Sat Dec  9 2017 rjschwei@suse.com
- Fix dependency for SLE 15 (bsc#1071292)
* Mon Feb 13 2017 rjschwei@suse.com
- Update to version 2.0.0 (bsc#1025004)
  + Delete old certificate of server we no longer operate
  + Add certificate for new server 34.197.223.242
* Tue Dec  2 2014 aosthof@suse.de
- Removed /etc/regionserverclnt.cfg~ from tarball
* Wed Oct 15 2014 rschweikert@suse.com
- Update to version 1.0.1
  + Add region server for China region
* Mon Jun  2 2014 rschweikert@suse.com
- Update to version 1.0.0
  + use ful path for data collector
  + fix provides
* Sat May 31 2014 rschweikert@suse.com
- Initial build
